Subject: LC's letter to Lads Editore

From: [email-masked] (Mi Mi)
Date: Tue, 7 Sep 93 09:47:26 CDT

Subject:Letters to the editor from a LC to LADS-net
--------

[email-masked] wrote:

Subject: Re:  Can you provide proof of LCnet's involvement in your plan?

I am a LCneter. If this net is cooperating with you, I would review my
standing. If it is true, a little group LCs are willing to sign.
Reply please.
J Li
9/4/93

Mi Mi replied:

Thank you very much for your interest in signing Lads-net's petition letter.
As a matter of fact, your LCnet newsreleas carried the letter, that is the 
involvement of your LCnet with us. I can not provide more details, since 
the detailed cooperation is subject to the two different Committees, not
for the public. If you do not have that newrelease, please let me know.

As an earlier comer, I can say I have been exposed the Western Democracy
longer than you do, right? When you make a decision, please use your own
mind. Please recall that during Culture Revolution, many followed someone
without much pondering, and history proves they did wrong. I do not mean 
your LCnet is leading you the wrong way. I respect LCnet Working Committee,
They are doing excellent job in coordinating all the parties involved.  
I am proud of them. You will find out yourself. Honestly,
I can tell you, me, Mi Mi, have no LADs myself. My family are all 
principals. My voluntary work, is to help the CSS community in general. 
Think about this, and ask around. When we CSS LC and lads are fighting each
other, who is gaining the maximum benefits out of CSPA? I am not against 
those undocumented Chinese nationals, they are our fellow-country men. Those
lawyers are trying very hard to have those undocumented Chinese nationals
be included, so they can have more bussiness. This is done on the expense of
whose? Me? CSPAers with Lads? no. You? yes! While those undocumented
Chinese nationals are taking world-wide qiota without hurting you,
their lads, are going to take China's EB-3 and FB-2 quotas, per INA.
That is why this message is important to you, LCnetter, as you called
yourself, my brothers and sisters!.

Tell you the truth. We, lads-net and LCnet, have no money to lobby congress.
Neither has IFCSS. No one is interested in us, since democrats are now in 
White House. We are left with few options, no money, less manpower. If we
still fight each other, wasting our precious resources this way, then the 
outcome is obivious. Think about this.

Best wishes,

Mi Mi

Lads-net Committee

======================================================================

Finally, [email-masked] signs Lads-net's petition letter.
Congradulations! You made a wise move! And thanks for your precious
support! United, we can make a difference!

Mi Mi 

Lads-net Committee